import ajax from "@/utils/request.js";

// 全国接口

  /**
   * 频道全天节目
   * 表格查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function allDayEpg(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/broadcast/list",
      method: "get",
      data
    });
  }

  /**
   * 节目查询
   * @props kw&ft
   * @return {AxjxPromise}
   */
   export function overlapSearchTitle(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/search_suggest?" + data,
      method: "GET",
    });
  }

  /**
   * 节目查询
   * @props kw&ft
   * @return {AxjxPromise}
   */
   export function epgAggregate(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/EpgListByCaIdGrowAction?" + data,
      method: "GET",
    });
  }

  // 重叠度
  /**
   * 节目重叠度
   * 图表查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function overlap(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/ProUserOverlapAction",
      method: "GET",
      data
    });
  }